/*******************************************************************************
 * FoxEmitterSpawnable generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxEmitterSpawnable extends EmitterSpawnable
    hidecategories(Navigation);

simulated function OnParticleSystemFinished(ParticleSystemComponent FinishedComponent)
{
    // End:0x19
    if(!bDestroyOnSystemFinish)
    {
        HideSelf();
    }
    super(Emitter).OnParticleSystemFinished(FinishedComponent);
    //return;    
}

simulated function HideSelf()
{
    ParticleSystemComponent.DeactivateSystem();
    SetHidden(true);
    bCurrentlyActive = false;
    bShouldTick = false;
    //return;    
}

defaultproperties
{
    begin object name=ParticleSystemComponent0 class=ParticleSystemComponent
        ReplacementPrimitive=none
    object end
    // Reference: ParticleSystemComponent'Default__FoxEmitterSpawnable.ParticleSystemComponent0'
    ParticleSystemComponent=ParticleSystemComponent0
    begin object name=ParticleSystemComponent0 class=ParticleSystemComponent
        ReplacementPrimitive=none
    object end
    // Reference: ParticleSystemComponent'Default__FoxEmitterSpawnable.ParticleSystemComponent0'
    Components(0)=ParticleSystemComponent0
    bNetInitialRotation=true
}